Anonymous Login
2018-12-15 13:41 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001976OpenClonkScenariospublic2018-01-13 08:51
ReporterClonkonaut 
Assigned ToMarky 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version 
Target Version8.1Fixed in Versiongit master 
Summary0001976: Fight for GIDL: GIDL moves
DescriptionThe statue moves around when being attacked.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0006031

Marky (developer)

Does it change the actual position, or does it "flinch", i.e. something with the animation?

~0006034

Clonkonaut (developer)

Position change, like living objects when being hit (because it is a living object).

~0006035

Marky (developer)

Then I know the reason: Originally the GIDL was stuck in the ground. That looked strange, so I moved it upwards...

~0006042

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/78060d59e256fa2e5187b776c3d1307dc9821f6b

Changeset 78060d5 by Mark <markh4b@hotmail.com>
Fix 0001976: Prevent GIDL from moving
The GIDL is now C4D_Living and C4D_StaticBack, preventing it from moving. At first I thought that adding an underground vertex would be sufficient, but that still made the idol move/shake when hit.

+Notes

-Issue History
Date Modified Username Field Change
2018-01-11 15:58 Clonkonaut New Issue
2018-01-11 17:32 Marky Note Added: 0006031
2018-01-11 19:37 Clonkonaut Note Added: 0006034
2018-01-11 21:11 Marky Note Added: 0006035
2018-01-13 08:50 occ Note Added: 0006042
2018-01-13 08:51 Marky Assigned To => Marky
2018-01-13 08:51 Marky Status new => resolved
2018-01-13 08:51 Marky Resolution open => fixed
2018-01-13 08:51 Marky Fixed in Version => git master
+Issue History